<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpColorButton: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpColorArea.html" title="GimpColorArea">
<link rel="next" href="GimpColorHexEntry.html" title="GimpColorHexEntry">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpColorButton.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpColorButton.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpColorButton.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpColorButton.properties" class="shortcut">Properties</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpColorButton.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpColorArea.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpColorHexEntry.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpColorButton"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpColorButton.top_of_page"></a>GimpColorButton</span></h2>
<p>GimpColorButton — Widget for selecting a color from a simple button.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-color-button.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpColorButton.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-new" title="gimp_color_button_new ()">gimp_color_button_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-set-title" title="gimp_color_button_set_title ()">gimp_color_button_set_title</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">const <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-get-title" title="gimp_color_button_get_title ()">gimp_color_button_get_title</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-set-color" title="gimp_color_button_set_color ()">gimp_color_button_set_color</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-get-color" title="gimp_color_button_get_color ()">gimp_color_button_get_color</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-set-update" title="gimp_color_button_set_update ()">gimp_color_button_set_update</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-get-update" title="gimp_color_button_get_update ()">gimp_color_button_get_update</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-has-alpha" title="gimp_color_button_has_alpha ()">gimp_color_button_has_alpha</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-set-type" title="gimp_color_button_set_type ()">gimp_color_button_set_type</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-set-color-config" title="gimp_color_button_set_color_config ()">gimp_color_button_set_color_config</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkUIManager.html#GtkUIManager-struct"><span class="returnvalue">GtkUIManager</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpColorButton.html#gimp-color-button-get-ui-manager" title="gimp_color_button_get_ui_manager ()">gimp_color_button_get_ui_manager</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorButton.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="GimpColorButton.html#GimpColorButton--area-height" title="The “area-height” property">area-height</a></td>
<td class="property_flags">Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="GimpColorButton.html#GimpColorButton--area-width" title="The “area-width” property">area-width</a></td>
<td class="property_flags">Write / Construct</td>
</tr>
<tr>
<td class="property_type">
<a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *</td>
<td class="property_name"><a class="link" href="GimpColorButton.html#GimpColorButton--color" title="The “color” property">color</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type">
<span class="type">GimpColorConfig</span> *</td>
<td class="property_name"><a class="link" href="GimpColorButton.html#GimpColorButton--color-config" title="The “color-config” property">color-config</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="GimpColorButton.html#GimpColorButton--continuous-update" title="The “continuous-update” property">continuous-update</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="GimpColorButton.html#GimpColorButton--title" title="The “title” property">title</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a class="link" href="GimpColorArea.html#GimpColorAreaType" title="enum GimpColorAreaType"><span class="type">GimpColorAreaType</span></a></td>
<td class="property_name"><a class="link" href="GimpColorButton.html#GimpColorButton--type" title="The “type” property">type</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorButton.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpColorButton.html#GimpColorButton-color-changed" title="The “color-changed” signal">color-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorButton.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpColorButton.html#GimpColorButton-struct" title="GimpColorButton">GimpColorButton</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorButton.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkButton.html#GtkButton-struct">GtkButton</a>
                            <span class="lineart">╰──</span> <a class="link" href="GimpButton.html" title="GimpButton">GimpButton</a>
                                <span class="lineart">╰──</span> GimpColorButton
</pre>
</div>
<div class="refsect1">
<a name="GimpColorButton.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpColorButton implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/GtkActivatable.html#GtkActivatable-struct">GtkActivatable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpColorButton.description"></a><h2>Description</h2>
<p>This widget provides a simple button with a preview showing the
color.</p>
<p>On click a color selection dialog is opened. Additionally the
button supports Drag and Drop and has a right-click menu that
allows one to choose the color from the current FG or BG color. If
the user changes the color, the "color-changed" signal is emitted.</p>
</div>
<div class="refsect1">
<a name="GimpColorButton.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-color-button-new"></a><h3>gimp_color_button_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_color_button_new (<em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *title</code></em>,
                       <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> width</code></em>,
                       <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> height</code></em>,
                       <em class="parameter"><code>const <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *color</code></em>,
                       <em class="parameter"><code><a class="link" href="GimpColorArea.html#GimpColorAreaType" title="enum GimpColorAreaType"><span class="type">GimpColorAreaType</span></a> type</code></em>);</pre>
<p>Creates a new <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> widget.</p>
<p>This returns a button with a preview showing the color.
When the button is clicked a GtkColorSelectionDialog is opened.
If the user changes the color the new color is written into the
array that was used to pass the initial color and the "color-changed"
signal is emitted.</p>
<div class="refsect3">
<a name="gimp-color-button-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>title</p></td>
<td class="parameter_description"><p>String that will be used as title for the color_selector.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>width</p></td>
<td class="parameter_description"><p>Width of the colorpreview in pixels.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>height</p></td>
<td class="parameter_description"><p>Height of the colorpreview in pixels.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>color</p></td>
<td class="parameter_description"><p>A pointer to a <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> color.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>type</p></td>
<td class="parameter_description"><p>The type of transparency to be displayed.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-button-new.returns"></a><h4>Returns</h4>
<p> Pointer to the new <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> widget.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-button-set-title"></a><h3>gimp_color_button_set_title ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_button_set_title (<em class="parameter"><code><a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *button</code></em>,
                             <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *title</code></em>);</pre>
<p>Sets the <em class="parameter"><code>button</code></em>
 dialog's title.</p>
<div class="refsect3">
<a name="gimp-color-button-set-title.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>title</p></td>
<td class="parameter_description"><p>the new title.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-button-get-title"></a><h3>gimp_color_button_get_title ()</h3>
<pre class="programlisting">const <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
gimp_color_button_get_title (<em class="parameter"><code><a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *button</code></em>);</pre>
<div class="refsect3">
<a name="gimp-color-button-get-title.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-button-get-title.returns"></a><h4>Returns</h4>
<p> The <em class="parameter"><code>button</code></em>
dialog's title.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-button-set-color"></a><h3>gimp_color_button_set_color ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_button_set_color (<em class="parameter"><code><a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *button</code></em>,
                             <em class="parameter"><code>const <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *color</code></em>);</pre>
<p>Sets the <em class="parameter"><code>button</code></em>
 to the given <em class="parameter"><code>color</code></em>
.</p>
<div class="refsect3">
<a name="gimp-color-button-set-color.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>Pointer to a <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>color</p></td>
<td class="parameter_description"><p>Pointer to the new <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> color.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-button-get-color"></a><h3>gimp_color_button_get_color ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_button_get_color (<em class="parameter"><code><a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *button</code></em>,
                             <em class="parameter"><code><a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *color</code></em>);</pre>
<p>Retrieves the currently set color from the <em class="parameter"><code>button</code></em>
.</p>
<div class="refsect3">
<a name="gimp-color-button-get-color.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>Pointer to a <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>color</p></td>
<td class="parameter_description"><p>Pointer to a <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> struct used to return the color.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-button-set-update"></a><h3>gimp_color_button_set_update ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_button_set_update (<em class="parameter"><code><a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *button</code></em>,
                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> continuous</code></em>);</pre>
<p>When set to <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><span class="type">TRUE</span></a>, the <em class="parameter"><code>button</code></em>
 will emit the "color-changed"
continuously while the color is changed in the color selection
dialog.</p>
<div class="refsect3">
<a name="gimp-color-button-set-update.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>continuous</p></td>
<td class="parameter_description"><p>The new setting of the <em class="parameter"><code>continuous_update</code></em>
property.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-button-get-update"></a><h3>gimp_color_button_get_update ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gimp_color_button_get_update (<em class="parameter"><code><a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *button</code></em>);</pre>
<p>Returns the color button's <em class="parameter"><code>continuous_update</code></em>
 property.</p>
<div class="refsect3">
<a name="gimp-color-button-get-update.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-button-get-update.returns"></a><h4>Returns</h4>
<p> the <em class="parameter"><code>continuous_update</code></em>
property.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-button-has-alpha"></a><h3>gimp_color_button_has_alpha ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gimp_color_button_has_alpha (<em class="parameter"><code><a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *button</code></em>);</pre>
<p>Checks whether the <em class="parameter"><code>buttons</code></em>
 shows transparency information.</p>
<div class="refsect3">
<a name="gimp-color-button-has-alpha.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>Pointer to a <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-button-has-alpha.returns"></a><h4>Returns</h4>
<p> <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the <em class="parameter"><code>button</code></em>
shows transparency information, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>
otherwise.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-button-set-type"></a><h3>gimp_color_button_set_type ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_button_set_type (<em class="parameter"><code><a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *button</code></em>,
                            <em class="parameter"><code><a class="link" href="GimpColorArea.html#GimpColorAreaType" title="enum GimpColorAreaType"><span class="type">GimpColorAreaType</span></a> type</code></em>);</pre>
<p>Sets the <em class="parameter"><code>button</code></em>
 to the given <em class="parameter"><code>type</code></em>
. See also <a class="link" href="GimpColorArea.html#gimp-color-area-set-type" title="gimp_color_area_set_type ()"><code class="function">gimp_color_area_set_type()</code></a>.</p>
<div class="refsect3">
<a name="gimp-color-button-set-type.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>Pointer to a <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>type</p></td>
<td class="parameter_description"><p>the new <a class="link" href="GimpColorArea.html#GimpColorAreaType" title="enum GimpColorAreaType"><span class="type">GimpColorAreaType</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-button-set-color-config"></a><h3>gimp_color_button_set_color_config ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_button_set_color_config (<em class="parameter"><code><a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *button</code></em>,
                                    <em class="parameter"><code><span class="type">GimpColorConfig</span> *config</code></em>);</pre>
<p>Sets the color management configuration to use with this color button's
<a class="link" href="GimpColorArea.html" title="GimpColorArea"><span class="type">GimpColorArea</span></a>.</p>
<div class="refsect3">
<a name="gimp-color-button-set-color-config.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>config</p></td>
<td class="parameter_description"><p>a <span class="type">GimpColorConfig</span> object.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-button-get-ui-manager"></a><h3>gimp_color_button_get_ui_manager ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkUIManager.html#GtkUIManager-struct"><span class="returnvalue">GtkUIManager</span></a> *
gimp_color_button_get_ui_manager (<em class="parameter"><code><a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *button</code></em>);</pre>
<div class="refsect3">
<a name="gimp-color-button-get-ui-manager.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-button-get-ui-manager.returns"></a><h4>Returns</h4>
<p> The <em class="parameter"><code>button</code></em>
's <a href="../gtk2/GtkUIManager.html#GtkUIManager-struct"><span class="type">GtkUIManager</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpColorButton.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpColorButton-struct"></a><h3>GimpColorButton</h3>
<pre class="programlisting">typedef struct _GimpColorButton GimpColorButton;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpColorButton.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpColorButton--area-height"></a><h3>The <code class="literal">“area-height”</code> property</h3>
<pre class="programlisting">  “area-height”              <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The minimum height of the button's <a class="link" href="GimpColorArea.html" title="GimpColorArea"><span class="type">GimpColorArea</span></a>.</p>
<p>Flags: Write / Construct</p>
<p>Allowed values: &gt;= 1</p>
<p>Default value: 16</p>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpColorButton--area-width"></a><h3>The <code class="literal">“area-width”</code> property</h3>
<pre class="programlisting">  “area-width”               <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The minimum width of the button's <a class="link" href="GimpColorArea.html" title="GimpColorArea"><span class="type">GimpColorArea</span></a>.</p>
<p>Flags: Write / Construct</p>
<p>Allowed values: &gt;= 1</p>
<p>Default value: 16</p>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpColorButton--color"></a><h3>The <code class="literal">“color”</code> property</h3>
<pre class="programlisting">  “color”                    <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *</pre>
<p>The color displayed in the button's color area.</p>
<p>Flags: Read / Write / Construct</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpColorButton--color-config"></a><h3>The <code class="literal">“color-config”</code> property</h3>
<pre class="programlisting">  “color-config”             <span class="type">GimpColorConfig</span> *</pre>
<p>The <span class="type">GimpColorConfig</span> object used for the button's <a class="link" href="GimpColorArea.html" title="GimpColorArea"><span class="type">GimpColorArea</span></a>
and <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a>.</p>
<p>Flags: Read / Write</p>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpColorButton--continuous-update"></a><h3>The <code class="literal">“continuous-update”</code> property</h3>
<pre class="programlisting">  “continuous-update”        <a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>The update policy of the color button.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: FALSE</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpColorButton--title"></a><h3>The <code class="literal">“title”</code> property</h3>
<pre class="programlisting">  “title”                    <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>The title to be used for the color selection dialog.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: NULL</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpColorButton--type"></a><h3>The <code class="literal">“type”</code> property</h3>
<pre class="programlisting">  “type”                     <a class="link" href="GimpColorArea.html#GimpColorAreaType" title="enum GimpColorAreaType"><span class="type">GimpColorAreaType</span></a></pre>
<p>The type of the button's color area.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: GIMP_COLOR_AREA_FLAT</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpColorButton.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpColorButton-color-changed"></a><h3>The <code class="literal">“color-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpColorButton.html" title="GimpColorButton"><span class="type">GimpColorButton</span></a> *gimpcolorbutton,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>         user_data)</pre>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpColorButton.see-also"></a><h2>See Also</h2>
<p><span class="type">libgimpcolor-gimpcolorspace</span></p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>